# update

open suspend override fun update (id: IdType , value: InputValueType ): ObjectType ?(source)

Updates the object identified by id with the given value. Successfully updated object must be emitted via updatedObjectsFlow.

#### Return

The updated ObjectType, or null if the object was not found

#### Parameters

id

The identifier of the object to update

value

The new input value

open suspend override fun update (values: List < UpdatedValuePair < IdType , InputValueType >>): List < ObjectType >(source)

Batch-updates objects using the given list of ID-value pairs. Successfully updated objects must be emitted via updatedObjectsFlow.

#### Return

List of successfully updated ObjectType instances

#### Parameters

values

List of UpdatedValuePair entries mapping IDs to new input values